Subject: Re: bug#10902: 24.0.93; Point displayed after end of buffer with scroll-margin

From: Eli Zaretskii <[email-masked]>
Date: Mon, 27 Feb 2012 22:36:04 +0200

> From: Johan Bockgård <[email-masked]>
> Date: Mon, 27 Feb 2012 20:18:09 +0100
> 
> 
> emacs -Q
> 
> Eval
> 
>     (progn
>       (pop-to-buffer (get-buffer-create "*foo*"))
>       (dotimes (n 5) (insert "x\n"))
>       (goto-char (point-min))
>       (setq scroll-margin 100)
>       (set-window-text-height nil (+ 5 2)))
> 
> Press `M->'
> 
>   => Point is displayed one line below the end of the buffer.

The same happens in Emacs 23, so this isn't a regression in Emacs 24.

I will take a look soon.  Thanks for reporting this.

P.S.  Is there a real-life use-case behind this?  I mean, setting a
scroll margin that is wider than the window sounds... how should I put
it... weird, no?